List goals
curl --request GET \
--url https://app.forecastable.com/api/v1/plans/{planId}/goals \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.forecastable.com/api/v1/plans/{planId}/goals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.forecastable.com/api/v1/plans/{planId}/goals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"goalType": "MILESTONE_BASED",
"createdAt": "2023-11-07T05:31:56Z",
"milestoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"target": 123,
"actualValue": 123,
"unitType": "NUMBER",
"label": "<string>",
"progress": 123,
"goalTypeCategory": "<string>",
"targetDate": "2023-12-25",
"periodType": "QUARTERLY",
"periodLabel": "<string>",
"allocations": {},
"parentGoalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"childGoals": "<array>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Goals
List goals
GET
/
plans
/
{planId}
/
goals
List goals
Authorizations
Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.
FlowAuthorization Code
- Authorization URL
- /api/v1/oauth/authorize
- Token URL
- /api/v1/oauth/token
FlowClient Credentials
- Token URL
- /api/v1/oauth/token
Scopes1
plan_items:read
Read plan milestones, goals, and tasks.
Headers
Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Path Parameters
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Query Parameters
Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Response
Plan goals.
Show child attributes
Show child attributes
Was this page helpful?